aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAndrew Ammerlaan <andrewammerlaan@riseup.net>2021-01-30 11:04:28 +0100
committerAndrew Ammerlaan <andrewammerlaan@riseup.net>2021-01-30 11:04:28 +0100
commitaeaf9f50bd9cb22035712b02d7a1d9d0d367765c (patch)
treebb1e2074c504fe42384e7848415688cdb1f356e1 /sci-libs
parenteclass/numeric-int64-multibuild.eclass: use_if_iuse is deprecated (diff)
downloadsci-aeaf9f50bd9cb22035712b02d7a1d9d0d367765c.tar.gz
sci-aeaf9f50bd9cb22035712b02d7a1d9d0d367765c.tar.bz2
sci-aeaf9f50bd9cb22035712b02d7a1d9d0d367765c.zip
sci-libs/xblas: EAPI bump
Package-Manager: Portage-3.0.14, Repoman-3.0.2 Signed-off-by: Andrew Ammerlaan <andrewammerlaan@riseup.net>
Diffstat (limited to 'sci-libs')
-rw-r--r--sci-libs/xblas/xblas-1.0.248-r1.ebuild11
1 files changed, 6 insertions, 5 deletions
diff --git a/sci-libs/xblas/xblas-1.0.248-r1.ebuild b/sci-libs/xblas/xblas-1.0.248-r1.ebuild
index b58b0bfde..7bc73bc32 100644
--- a/sci-libs/xblas/xblas-1.0.248-r1.ebuild
+++ b/sci-libs/xblas/xblas-1.0.248-r1.ebuild
@@ -1,12 +1,12 @@
# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
-EAPI=5
+EAPI=7
NUMERIC_MODULE_NAME="xblas"
FORTRAN_NEEDED=fortran
-inherit flag-o-matic fortran-2 numeric-int64-multibuild toolchain-funcs versionator
+inherit flag-o-matic fortran-2 numeric-int64-multibuild toolchain-funcs
DESCRIPTION="Extra Precise Basic Linear Algebra Subroutines"
HOMEPAGE="https://www.netlib.org/xblas/"
@@ -24,7 +24,7 @@ DEPEND="${RDEPEND}
static_to_shared() {
local libstatic=${1}; shift
local libname=$(basename ${libstatic%.a})
- local soname=${libname}$(get_libname $(get_version_component_range 1-2))
+ local soname=${libname}$(get_libname $(ver_rs 1-2))
local libdir=$(dirname ${libstatic})
einfo "Making ${soname} from ${libstatic}"
@@ -38,8 +38,8 @@ static_to_shared() {
-shared -Wl,-soname=${soname} \
-Wl,--whole-archive ${libstatic} -Wl,--no-whole-archive \
"$@" -o ${libdir}/${soname} || die "${soname} failed"
- [[ $(get_version_component_count) -gt 1 ]] && \
- ln -s ${soname} ${libdir}/${libname}$(get_libname $(get_major_version)) || die
+ [[ ${#PV} -gt 1 ]] && \
+ ln -s ${soname} ${libdir}/${libname}$(get_libname $(ver_cut 0-1)) || die
ln -s ${soname} ${libdir}/${libname}$(get_libname) || die
fi
}
@@ -49,6 +49,7 @@ pkg_setup() {
}
src_prepare() {
+ default
numeric-int64-multibuild_copy_sources
}